Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
nonblock.c File Reference
`#include "ruby.h"`
`#include "ruby/io.h"`
`#include <fcntl.h>`

Go to the source code of this file.

## Macros
#define | io_nonblock_mode(fd) ((void)(fd), 0)
#define | rb_io_nonblock_p rb_f_notimplement
#define | rb_io_nonblock_set rb_f_notimplement
#define | rb_io_nonblock_block rb_f_notimplement

## Functions
void | Init_nonblock (void)

## Macro Definition Documentation

## ◆ io_nonblock_mode

#define io_nonblock_mode | ( |  | fd | ) | ((void)(fd), 0)

Definition at line 29 of file nonblock.c.

## ◆ rb_io_nonblock_block

#define rb_io_nonblock_block rb_f_notimplement

Definition at line 131 of file nonblock.c.

## ◆ rb_io_nonblock_p

#define rb_io_nonblock_p rb_f_notimplement

Definition at line 49 of file nonblock.c.

## ◆ rb_io_nonblock_set

#define rb_io_nonblock_set rb_f_notimplement

Definition at line 130 of file nonblock.c.

## Function Documentation

## ◆ Init_nonblock()

void Init_nonblock | ( | void |  | ) |

Definition at line 135 of file nonblock.c.

References rb_cIO, rb_define_method(), rb_io_nonblock_block, rb_io_nonblock_p, and rb_io_nonblock_set.